<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS_Home_Work_1_part_2</title>
</head>
<body>
    <script>
        var x = 6;
        var y = 14;
        var z = 4;

        x += y - x++ * z;

        // Отже, у даному виразі дії відбуваються наступним чином: першою виконується 
        // частинка х++, де "...++" це постфіксний інкремент, має пріоритетність 16, 
        // збільшує значення елемента на одиницю(+1); 
        // Далі виконується операція множення "*", має пріоритетність 13;
        // Наступним виконуться віднімання "-", пріоритетність 12;
        // Останнім виконується "+=", оператор присвоєння, пріоритетність 2.

        document.writeln(x);

        x = 6;
        y = 14;
        z = 4;
        z = --x - y * 5;

        // Туть ми маємо наступну картину: 
        // першою виконується частинка --х, де "--..." це перефіксний 
        // декремент, має пріоритетність 15, зменшує значення елемента на одиницю(-1); 
        // Далі виконується операція множення "*", має пріоритетність 13;
        // Наступним виконуться віднімання "-", пріоритетність 12;
        // Остіннім виконується "=", оператор присвоєння, пріоритетність 2.

        document.writeln(z);

        x = 6;
        y = 14;
        z = 4;

        y /= x + 5 % z;

        // Що ми тут маємо: першим виконується оператор "%", решта від ділення, 
        // повертаючи частку після дялення, має пріоритетність 13;
        // Другим виконується додавання "+", має такуж пріоритетність, як і "%", але 
        // у таблиці йде на один щабель нижче, тому він є менш пріоритетним;
        // Останнім виконується оператор присвоєння "/=", пріоритетність 2. 

        document.writeln(y);

        x = 6;
        y = 14;
        z = 4;

        z - x++ + y * 5;

        // Черговий вираз. Першим виконується "х++", постфіксний інкремент, пріритеність 16;
        // Другим йде множення "*", пріоритетність 13;
        // Третім виконується додавання, пріоритетність 12;
        // Четвертим виконується "-" віднімання, пріоритетність теж 12, але на щабель нижче
        // за додавання "+".

        document.writeln(z);

        x = 6;
        y = 14;
        z = 4;

        x = y - x++ * z;

        // Останній вираз... Першим йде потфіксний інкремент "...++", 
        // пріоритетність 16;
        // Другим буде множення "*", пріоритетність 13;
        // Третім виконується віднімання "-", пріоритетність 12;
        // Четвертим буде оператор присвоєння "=", пріоритеність 2;

        document.writeln(x);

    //     x = 6;
    //     y = 14;
    //     z = 4;

    //    var m = x + y + z;

    //    document.writeln(m);

    </script>
</body>
</html>